diff --git a/libr/bin/format/elf/elf.c b/libr/bin/format/elf/elf.c
index 373ce4e294e..87245c28527 100644
--- a/libr/bin/format/elf/elf.c
+++ b/libr/bin/format/elf/elf.c
@@ -3623,12 +3623,6 @@ static RBinElfSymbol* Elf_(_r_bin_elf_get_symbols_imports)(ELFOBJ *bin, int type
 	if (nsym == -1) {
 		goto beach;
 	}
-
-	// Elf_(fix_symbols) may find additional symbols, some of which could be
-	// imported symbols. Let's reserve additional space for them.
-	r_warn_if_fail (nsym >= ret_ctr);
-	import_ret_ctr += nsym - ret_ctr;
-
 	aux = ret;
 	while (!aux->last) {
 		if ((int)aux->ordinal > max) {
